<?php
defined('BASEPATH') or exit('No direct script access allowed');

class UpdatePassword extends REST_Controller
{

    public function __construct()
    {
        parent::__construct();
        // $this->load->model("ModelAuth");
    }

    public function updatePassword_post() {
        $id_user = $this->post("id_user");
        $new_password = $this->post("password"); // Simpan kata sandi baru dalam variabel
        
        // Validasi data jika diperlukan (misalnya, apakah $id_user dan $new_password ada dan sesuai format)
    
        // Mengecek apakah pengguna dengan id_user yang diberikan ada dalam database
        $user = $this->db->get_where("user", array('id_user' => $id_user))->row();
    
        if ($user) {
            // Enkripsi kata sandi baru
            $hashed_password = password_hash($new_password, PASSWORD_DEFAULT);
    
            // Update kata sandi pengguna
            $data = array(
                'password' => $hashed_password,
            );
    
            if ($this->db->update('user', $data, array('id_user' => $id_user))) {
                $message = array(
                    'status' => 200,
                    'message' => "Data berhasil diperbarui"
                );
            } else {
                $message = array(
                    'status' => 500,
                    'message' => "INTERNAL_SERVER_ERROR"
                );
            }
        } else {
            $message = array(
                'status' => 404,
                'message' => "Profil tidak ditemukan"
            );
        }
    
        $this->response($message, 200); // Mengirimkan respons dengan status HTTP 200
    }
    

}